import React, {Component} from 'react';
import {View, Text, TextInput, TouchableOpacity, Platform} from 'react-native';
import {colors} from '../assets/styles/colors-theme';
import {width, height} from '../services/screen';

class CustomLoginButton extends Component {
  render() {
    return (
      <TouchableOpacity
        onPress={() => this.props.onPress && this.props.onPress()}
        style={{
          backgroundColor:
            this.props.color != null ? this.props.color : colors.mainColor,
          height: 50,
          borderRadius: 30,
          width: width - 100,
          justifyContent: 'center',
          alignItems: 'center',
          marginTop: 10,
        }}>
        <Text
          style={{
            color:
              this.props.textColor != null ? this.props.textColor : 'white',
            fontSize: 20,
          }}>
          {this.props.title}
        </Text>
      </TouchableOpacity>
    );
  }
}
export default CustomLoginButton;
